import { getThemeVariables } from 'ant-design-vue/dist/theme'
import { resolve } from 'path'
import config from '../../config/config'

export function generateModifyVars(viteEnv: ViteEnv) {
  const { VITE_USE_THEME } = viteEnv

  const modifyVars = getThemeVariables()

  const modifyVarsParams = {
    ...modifyVars,
    hack: `${modifyVars.hack} @import (reference) "${resolve('src/design/config.less')}";`
  }

  if (!VITE_USE_THEME) modifyVarsParams['primary-color'] = config.theme.primaryColor

  return modifyVarsParams
}
