// #!/usr/bin/env node
import chalk from 'chalk'
import reSetRootHtml from './reSetRootHtml'
import { runBuildConfig } from './buildConf'
import { wrapperEnv, getEnvConfig } from '../utils'

import pkg from '../../package.json'

export const runBuild = async () => {
  try {
    const argvList = process.argv.splice(2)

    // Generate configuration file
    if (!argvList.includes('disabled-config')) {
      await runBuildConfig()
    }

    !wrapperEnv(getEnvConfig()).VITE_USE_THEME && reSetRootHtml('ant-design-vue')
    console.log(`✨ ${chalk.cyan(`[${pkg.name}]`)}` + ' - build successfully!')
  } catch (error) {
    console.log(chalk.red('vite build error:\n' + error))
    process.exit(1)
  }
}
runBuild()
