import chalk from 'chalk'
import fs, { readFileSync } from 'fs-extra'
import { getRootPath } from '../utils'
import { OUTPUT_DIR } from '../constant'

import pkg from '../../package.json'

export default function reSetRootHtml(libName: string) {
  const targetPath = getRootPath(`${OUTPUT_DIR}/index.html`)
  let htmlStr = readFileSync(targetPath).toString('utf-8')
  const startLen = htmlStr.lastIndexOf(`<link rel="stylesheet" href="./assets/${libName}.`)
  if (startLen > 0) {
    const cssLen = '<link rel="stylesheet" href="./assets/ant-design-vue.'.length + '********.css">'.length

    const end = startLen + cssLen
    htmlStr = htmlStr.slice(0, startLen) + htmlStr.slice(end)
    fs.writeFileSync(targetPath, htmlStr)
    console.log(`✨ ${chalk.cyan(`[${pkg.name}]`)}` + ' - resetHtml successfully!')
  }
}
