import type { Plugin } from 'vite'
import { normalizePath } from 'vite'
import { getDefaultPath, fileExists } from '../../../utils'

export default function createAntdVariableTheme(useTheme): Plugin {
  let defaultPath = getDefaultPath()
  if (!fileExists(defaultPath)) {
    defaultPath = getDefaultPath(false)
    if (!fileExists(defaultPath)) {
      defaultPath = ''
    }
  }
  const defaultEnter = normalizePath(defaultPath)
  return {
    name: 'vite:antd-variable-theme',
    enforce: 'pre',
    async transform(code: string, id: string) {
      if (!id.endsWith(defaultEnter) || !useTheme) return null
      return {
        code: `${code}\nimport('ant-design-vue/dist/antd.variable.min.css')`
      }
    }
  }
}
