import type { MockMethod } from '/types/mock'
import dayjs from 'dayjs'

const data: MenuDataItem[] = [
  // 一级菜单
  {
    children: [],
    createTime: dayjs().format('YYYY-MM-DD HH:mm:ss'),
    icon: 'gx-zujian',
    iconType: 1,
    menuId: 1,
    path: 'catalogue-one',
    redirect: '/catalogue/menu-one',
    title: '目录一',
    name: 'catalogue-one',
    menuType: 'M',
    orderNum: '1',
    isFrame: '1',
    parentId: 0,
    target: '',
    hidden: false,
    outLinkType: 0
  },
  // 二级菜单
  {
    component: '/MenuOne/index',
    children: [],
    createTime: dayjs().format('YYYY-MM-DD HH:mm:ss'),
    icon: 'gx-fuwuqingqiu',
    iconType: 1,
    menuId: 2,
    path: 'menu-one',
    title: '菜单一',
    name: 'menu-one',
    menuType: 'C',
    orderNum: '1',
    isFrame: '1',
    parentId: 1,
    target: '',
    hidden: false,
    outLinkType: 0
  },
  {
    createTime: dayjs().format('YYYY-MM-DD HH:mm:ss'),
    menuId: 3,
    title: 'procomponents(外链)',
    name: 'procomponents(外链)',
    menuType: 'C',
    orderNum: '2',
    isFrame: '0',
    parentId: 1,
    target: 'https://procomponents.ant.design/',
    hidden: false,
    outLinkType: 1
  },
  {
    children: [],
    component: 'IframeView',
    createTime: dayjs().format('YYYY-MM-DD HH:mm:ss'),
    menuId: 4,
    title: 'antVue文档(内嵌)',
    name: 'antVue文档(内嵌)',
    menuType: 'C',
    orderNum: '3',
    isFrame: '0',
    parentId: 1,
    path: 'antVue',
    target: 'https://next.antdv.com/components/overview-cn/',
    hidden: false,
    outLinkType: 0
  },
]
export default [
  {
    url: '/mock-server/menu/navigate',
    method: 'post',
    response: () => {
      return {
        code: 200,
        msg: 'success',
        data
      }
    }
  }
] as MockMethod[]
