import type { Router } from 'vue-router'
import { useStoreUser } from '@gx-vuex'

export function createStateGuard(router: Router) {
  router.afterEach((to) => {
    const user = useStoreUser()
    if (to.path === '/user/login') {
      user.resetPermissions()
    }
  })
}
