import type { App } from 'vue'
import { createPinia } from 'pinia'
import { useStoreUser } from './modules/user'
import { useStoreDict } from './modules/dict'
import { useStoreRoutes } from './modules/routes'
import { useStoreSettings } from './modules/settings'
import { useStorePermission } from './modules/permission'
import { useStoreTabsRouter } from './modules/tabsRouter'

export {
  useStoreUser,
  useStoreDict,
  useStoreRoutes,
  useStoreSettings,
  useStorePermission,
  useStoreTabsRouter
}

export function useStore() {
  return {
    user: useStoreUser(),
    dict: useStoreDict(),
    routes: useStoreRoutes(),
    settings: useStoreSettings(),
    permission: useStorePermission(),
    tabsRouter: useStoreTabsRouter()
  }
}

export function setupStore(app: App<Element>) {
  app.use(createPinia())
}
