import type { IncomingMessage, ServerResponse } from 'http'

declare type MethodType = 'get' | 'post' | 'put' | 'delete' | 'patch'

declare interface RespThisType {
  req: IncomingMessage
  res: ServerResponse
  parseJson: () => any
}

declare interface MockMethod {
  url: string
  method?: MethodType
  timeout?: number
  statusCode?: number
  response?:
    | ((
    this: RespThisType,
    opt: { url: Recordable; body: Recordable; query: Recordable; headers: Recordable },
  ) => any)
    | any
  rawResponse?: (this: RespThisType, req: IncomingMessage, res: ServerResponse) => void
}
