/**
 * Plugin to minimize and use ejs template syntax in index.html.
 * https://github.com/anncwb/vite-plugin-html
 */
import { PluginOption } from 'vite'

import { createHtmlPlugin } from 'vite-plugin-html'

import { cdnConf } from '../cdn'

export function configHtmlPlugin(env: ViteEnv, isBuild: boolean) {

  const htmlPlugin: PluginOption[] = createHtmlPlugin({
    minify: isBuild,
    inject: {
      data: {
        injectScript: env.VITE_USE_CDN ? cdnConf.js : [],
        injectLink: env.VITE_USE_CDN ? cdnConf.css : [],
        injectVlogScript: env.VITE_USE_V_CONSOLE
          ? `<script src="https://unpkg.com/vconsole@latest/dist/vconsole.min.js"></script><script>var vConsole = new window.VConsole();</script>`
          : ''
      }
    }
  })
  return htmlPlugin
}
