import type { FunctionalComponent } from 'vue'
import { Skeleton } from 'vant'
import styles from './style.module.less'

import 'vant/es/skeleton/style'

const Proskeleton: FunctionalComponent<{ line: number; loading: boolean }> = (props, { slots }) => {

  const renderMapItem = () => {
    const show = []
    for(let i = 0; i < props.line; i += 1) {
      show.push(
        <div class={styles.skeletonItem}>
          <Skeleton row={3} loading />
        </div>
      )
    }
    return show
  }

  return (
    <>
      {
        props.loading ? renderMapItem() : <>{ slots.default?.() }</>
      }
    </>
  )
}

export default Proskeleton
