import { createApp } from 'vue'
import { setupRouter } from '@/router'
import { setupStore } from './store'
import { setupGlobCommon } from './core'
import App from './App.vue'

import 'uno.css'

import 'vant/es/toast/style'

import './global.less'

function startApp() {
  const app = createApp(App)

  // 配置store
  setupStore(app)

  // 配置路由
  setupRouter(app)

  setupGlobCommon(app)

  app.mount('#app')
}

startApp()
