/**
 * @Author      gx12358
 * @DateTime    2022/4/1
 * @lastTime    2022/4/1
 * @description 环境：开发
 */
export function isDev(): boolean {
  const DEV = typeViteEnv('VITE_USE_MODE') === 'development'
  return DEV
}

/**
 * @Author      gx12358
 * @DateTime    2022/4/1
 * @lastTime    2022/4/1
 * @description 环境：测试
 */
export function isTest(): boolean {
  const PRO = typeViteEnv('VITE_USE_MODE') === 'test'
  return PRO
}

/**
 * @Author      gx12358
 * @DateTime    2022/4/1
 * @lastTime    2022/4/1
 * @description 环境：正式
 */
export function isPro(): boolean {
  return typeViteEnv('VITE_USE_MODE') === 'production'
}

/**
 * @Author      gx12358
 * @DateTime    2022/4/1
 * @lastTime    2022/4/1
 * @description 环境：测试、正式
 */
export function isBuild(): boolean {
  return typeViteEnv('VITE_USE_MODE') !== 'development'
}

export function typeViteEnv(key: ViteEnvKey) {
  let value = import.meta.env[key]
  if (value) {
    value = (value as string).replace(/\\n/g, '\n')

    value = value === 'true' ? true : value === 'false' ? false : value
  }

  return value
}
