import type { PropType as VuePropType } from 'vue'

declare global {
  const __APP_INFO__: {
    pkg: {
      name: string;
      version: string;
      dependencies: Recordable<string>;
      devDependencies: Recordable<string>;
    };
    lastBuildTime: string;
  }

  declare type LocalResult = {
    value: any;
    time: string;
    expired: number;
  }

  declare type PropType<T> = VuePropType<T>;

  declare type RecordType<T = string, K = any> = Record<string, any>;

  declare interface ViteEnv {
    VITE_USE_MODE: string;
    VITE_USE_CDN: boolean;
    VITE_USE_MOCK: boolean;
    VITE_USE_V_CONSOLE: boolean;
    VITE_NODE_ENV: string;
    VITE_BASE_URL: string;
    VITE_APP_ENV: string;
    VITE_DROP_CONSOLE: boolean;
  }

  declare type ViteEnvKey = keyof ViteEnv
}
