$(function(){
  if (!isOnLine()) {
    loadingBlock()
    errorBlock('disconnected', true)
  }
})

/**
 * @Author      gx12358
 * @DateTime    2022/1/19
 * @lastTime    2022/1/19
 * @description 判断网络状态
 */
function isOnLine() {
  return !!window.navigator.onLine
}

function loadingBlock(status) {
  if (status) {
    $('.toast-loading').removeClass('active')
    $('.skeleton-loading').removeClass('active')
  } else {
    $('.toast-loading').addClass('active')
    $('.skeleton-loading').addClass('active')
  }
}

function appBlock(status) {
  if (status) {
    loadingBlock(false)
    $('#app').addClass('active')
  } else {
    $('#app').removeClass('active')
  }
}

function errorBlock(mode, status) {
  const description = {
    default: {
      title: '页面遇到一些小问题',
      subtitle: '待会来试试',
      url: './image/error.svg'
    },
    disconnected: {
      title: '网络有点忙',
      subtitle: '动动手指帮忙修复',
      url: './image/disconnected.svg'
    },
    empty: {
      title: '没有找到你需要的东西',
      subtitle: '找找其他的吧',
      url: './image/empty.svg'
    }
  }
  if (status) {
    loadingBlock(false)
    $('.error-block .error-block-image img').attr('src', description[mode]?.url)
    $('.error-block .error-block-description-title').text(description[mode]?.title)
    $('.error-block .error-block-description-subtitle').text(description[mode]?.subtitle)
    $('.error-block').addClass('active')
  } else {
    appBlock(false)
    $('.error-block').removeClass('active')
    $('.error-block .error-block-image img').attr('src', '')
    $('.error-block .error-block-description-title').text('')
    $('.error-block .error-block-description-subtitle').text('')
  }
}


