async function request(config) {
  const {
    methot,
    url,
    prefix,
    appStatus = true,
    token,
    data = {},
    params = {},
    showToken = true
  } = config
  return new Promise((resolve) => {
    if (url.includes('/mock')) {
      setTimeout(() => {
        appBlock(true)
        resolve({
          success: true
        })
      }, 500)
      return
    }
    let responseUrl = (prefix || window.config.VUE_BASE_API) + url
    if (methot.toLowerCase() === 'get' && Object.keys(delectEmptyObj(params)).length) {
      responseUrl = `${responseUrl}?${tansParams(params)}`
    }
    const ajaxConfig = {
      type: methot,
      url: responseUrl,
      dataType: 'json',
      headers: {
        'Content-Type': 'application/json;charset=UTF-8',
        ...config.headers
      }
    }

    if (data && Object.keys(data).length) ajaxConfig.data = JSON.stringify(data)

    if (showToken && (token || getQueryVariable('token'))) {
      ajaxConfig.headers.token = token || getQueryVariable('token')
    }

    $.ajax({
      ...ajaxConfig,
      success: (res) => {
        if (appStatus) {
          appBlock(true)
        }
        resolve({
          success: true,
          data: res
        })
      },
      error: _ => {
        errorBlock('default', true)
        resolve({
          success: false
        })
      }
    })
  })
}
