/**
 * @Author      gx12358
 * @DateTime    2022/1/19
 * @lastTime    2022/1/19
 * @description 获取url参数
 */
function getQueryVariable(variable) {
  const query = window.location.search.substring(1)
  const vars = query.split('&')
  for (let i = 0; i < vars.length; i += 1) {
    const pair = vars[i].split('=')
    if (pair[0] === variable) {
      return pair[1]
    }
  }
  return ''
}

/**
 * @Author      gx12358
 * @DateTime    2022/1/19
 * @lastTime    2022/1/19
 * @description 简单拷贝
 */
function deepCopy(data) {
  return JSON.parse(JSON.stringify(data))
}

/**
 * @Author      gx12358
 * @DateTime    2022/1/19
 * @lastTime    2022/1/19
 * @description 删除对象空值
 */
function delectEmptyObj(obj) {
  const newObj = deepCopy(obj)
  Object.keys(newObj).forEach((key) => {
    if (newObj[key] === '' || newObj[key] === null || newObj[key] === undefined) {
      delete newObj[key]
    }
  })
  return newObj
}

function tansParams(params) {
  let result = ''
  for (const propName of Object.keys(params)) {
    const value = params[propName]
    const part = encodeURIComponent(propName) + '='
    if (value !== null && typeof (value) !== 'undefined' && value !== '') {
      if (typeof value === 'object') {
        for (const key of Object.keys(value)) {
          if (value[key] !== null && typeof (value[key]) !== 'undefined') {
            const params = propName + '[' + key + ']'
            const subPart = encodeURIComponent(params) + '='
            result += subPart + encodeURIComponent(value[key]) + '&'
          }
        }
      } else {
        result += part + encodeURIComponent(value) + '&'
      }
    }
  }
  return result.split('&').filter(item => item).join('&')
}
